Subject: Re: CGI with SWI-Prolog

From: Advaith <[email-masked]>
Date: Thu, 6 Apr 2000 09:33:05 +0100 (BST)

> > [potential disadvantage of the JPL approach: the Java VM shares
> > memory with the JPL library, the Prolog VM and any foreign code
> > loaded by it, and is thus vulnerable to corruption; i.e. commercial
> > or corporate Web servers may reasonably refuse to host servlets
> > which load Java "native methods"]

I'm using the JPL approach to call prolog from a normal java GUI. Prolog
keeps crashing giving a warning ' out of stack space while not in prolog'
Is there anything i can do to stop this happenning?